DragSupportTag (RichFaces JSF components library 3.1.2.GA API)
Keywords: org.richfaces.taglib.DragSupportTag class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.taglib
Class DragSupportTag

    java.lang.Object
      javax.faces.webapp.UIComponentTag
          org.ajax4jsf.webapp.taglib.UIComponentTagBase
              org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
                  org.richfaces.taglib.DragSupportTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class DragSupportTag

extends org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentTag
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`DragSupportTag()`

Method Summary
`java.lang.String` | `getComponentType()`
`java.lang.String` | `getRendererType()`
`void` | `release()`
`void` | `setAction(java.lang.String __action)`
`void` | `setActionExpression(java.lang.String __actionExpression)`
`void` | `setActionListener(java.lang.String __actionListener)`
`void` | `setAjaxSingle(java.lang.String __ajaxSingle)`
`void` | `setBypassUpdates(java.lang.String __bypassUpdates)`
`void` | `setData(java.lang.String __data)`
`void` | `setDisableDefault(java.lang.String __disableDefault)`
`void` | `setDragIndicator(java.lang.String __dragIndicator)`
`void` | `setDragListener(java.lang.String __dragListener)`
`void` | `setDragType(java.lang.String __dragType)`
`void` | `setDragValue(java.lang.String __dragValue)`
`void` | `setEventsQueue(java.lang.String __eventsQueue)`
`void` | `setFocus(java.lang.String __focus)`
`void` | `setIgnoreDupResponses(java.lang.String __ignoreDupResponses)`
`void` | `setImmediate(java.lang.String __immediate)`
`void` | `setLimitToList(java.lang.String __limitToList)`
`void` | `setOnbeforedomupdate(java.lang.String __onbeforedomupdate)`
`void` | `setOncomplete(java.lang.String __oncomplete)`
`void` | `setOndragend(java.lang.String __ondragend)`
`void` | `setOndragstart(java.lang.String __ondragstart)`
`void` | `setOnsubmit(java.lang.String __onsubmit)`
`protected void` | `setProperties(javax.faces.component.UIComponent component)`
`void` | `setRequestDelay(java.lang.String __requestDelay)`
`void` | `setReRender(java.lang.String __reRender)`
`void` | `setStatus(java.lang.String __status)`
`void` | `setTimeout(java.lang.String __timeout)`

Methods inherited from class org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
`setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase
`setActionListenerProperty, setActionProperty, setBooleanProperty, setCharterProperty, setConverter, setConverterProperty, setDoubleProperty, setFloatProperty, setIntegerProperty, setLongProperty, setStringProperty, setValidatorProperty, setValue, setValueBinding, setValueChangedListenerProperty, setValueProperty`

Methods inherited from class javax.faces.webapp.UIComponentTag
`doEndTag, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getComponentInstance, getCreated, getDoEndValue, getDoStartValue, getFacesContext, getFacetName, getId, getParent, getParentUIComponentTag, isSuppressed, isValueReference, setBinding, setId, setPageContext, setParent, setRendered, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DragSupportTag

    public DragSupportTag()

Method Detail

### setActionListener

    public void setActionListener(java.lang.String __actionListener)

### setDragValue

    public void setDragValue(java.lang.String __dragValue)

### setOndragend

    public void setOndragend(java.lang.String __ondragend)

### setOncomplete

    public void setOncomplete(java.lang.String __oncomplete)

### setReRender

    public void setReRender(java.lang.String __reRender)

### setFocus

    public void setFocus(java.lang.String __focus)

### setDisableDefault

    public void setDisableDefault(java.lang.String __disableDefault)

### setBypassUpdates

    public void setBypassUpdates(java.lang.String __bypassUpdates)

### setLimitToList

    public void setLimitToList(java.lang.String __limitToList)

### setAjaxSingle

    public void setAjaxSingle(java.lang.String __ajaxSingle)

### setOnsubmit

    public void setOnsubmit(java.lang.String __onsubmit)

### setDragIndicator

    public void setDragIndicator(java.lang.String __dragIndicator)

### setAction

    public void setAction(java.lang.String __action)

### setDragListener

    public void setDragListener(java.lang.String __dragListener)

### setTimeout

    public void setTimeout(java.lang.String __timeout)

### setActionExpression

    public void setActionExpression(java.lang.String __actionExpression)

### setDragType

    public void setDragType(java.lang.String __dragType)

### setStatus

    public void setStatus(java.lang.String __status)

### setRequestDelay

    public void setRequestDelay(java.lang.String __requestDelay)

### setEventsQueue

    public void setEventsQueue(java.lang.String __eventsQueue)

### setImmediate

    public void setImmediate(java.lang.String __immediate)

### setData

    public void setData(java.lang.String __data)

### setOnbeforedomupdate

    public void setOnbeforedomupdate(java.lang.String __onbeforedomupdate)

### setOndragstart

    public void setOndragstart(java.lang.String __ondragstart)

### setIgnoreDupResponses

    public void setIgnoreDupResponses(java.lang.String __ignoreDupResponses)

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### getComponentType

    public java.lang.String getComponentType()

  Specified by:
    `getComponentType` in class `javax.faces.webapp.UIComponentTag`

### getRendererType

    public java.lang.String getRendererType()

  Specified by:
    `getRendererType` in class `javax.faces.webapp.UIComponentTag`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.